<?php
  // A71-NL 1.5.00 - (01.01.2019) By Alessandro Marinuzzi [Alecos]
  //--> Copyright © 2010-2019 · Alessandro Marinuzzi [Alecos] <--
  //=============================================================
  @ini_set('default_charset', 'UTF-8');
  $pnameml = "newsletter"; // Put here the name of newsletter
  $request = "subscribe"; // Put here the command of newsletter
  $pdomain = "domain.it"; // Put here the domain of newsletter
  $newskin = "elegant"; // Put here the skin (elegant, opensky, histyle)
  //====================================================//
  //     Detecting language, messages and server O/S    //
  //====================================================//
  if (!defined('PHP_EOL')) {
    if (strtoupper(substr(PHP_OS,0,3) == 'WIN')) {
      define('PHP_EOL',"\r\n");
    } elseif (strtoupper(substr(PHP_OS,0,3) == 'MAC')) {
      define('PHP_EOL',"\r");
    } elseif (strtoupper(substr(PHP_OS,0,3) == 'DAR')) {
      define('PHP_EOL',"\n");
    } else {
      define('PHP_EOL',"\n");
    }
  }
  $lang = isset($_SERVER['HTTP_ACCEPT_LANGUAGE']) ? substr($_SERVER['HTTP_ACCEPT_LANGUAGE'],0,2) : 'en';
  if ($lang == "it") {
    $title = "Inserisci la tua mail per iscriverti alla NewsLetter";
    $mesg1 = "Non sei ancora iscritto!";
    $mesg2 = "Indirizzo e-mail errato!";
    $mesg3 = "Iscrizione fallita!";
    $mesg4 = "Iscrizione eseguita! Grazie!";
    $mesg5 = "Devi dare il consenso!";
    $mesg6 = "Ho letto l'Informativa sulla Privacy e autorizzo al trattamento dei miei dati personali";
    $exten = "<h2 style=\"text-align:center\">Qui va messa la tua policy in Italiano</h2><p style=\"text-align:center\">Devi scriverla dentro la variabile \$exten</p>";
    $label = "Tua E-Mail";
    $buttn = "Iscriviti";
  } else {
    $title = "Insert your mail for subscribing to NewsLetter";
    $mesg1 = "You aren't subscribed yet!";
    $mesg2 = "Wrong e-mail address!";
    $mesg3 = "Subscription failed!";
    $mesg4 = "Subscription performed! Thanks!";
    $mesg5 = "You must give consent!";
    $mesg6 = "I have read the Privacy Policy and authorize the processing of my personal data";
    $exten = "<h2 style=\"text-align:center\">Here you must put your policy in English</h2><p style=\"text-align:center\">You must write it in the \$exten variable</p>";
    $label = "Your E-Mail";
    $buttn = "Subscribe";
  }
  //====================================================//
  //                   Do not touch below               //
  //====================================================//
  if ((!isset($_POST['fmail'])) || (empty($_POST['fmail']))) {
    echo '<!DOCTYPE html>
<html lang="' . $lang . '">
<head>
  <meta charset="UTF-8">
  <meta name="viewport" content="width=device-width, initial-scale=1">
  <meta name="robots" content="noindex, nofollow">
  <title>[NewsLetter]</title>
  <link rel="stylesheet" type="text/css" media="all" href="a71nl/' . $newskin . '.css">
</head>
<body>
<form method="post" action="' . htmlspecialchars($_SERVER['PHP_SELF'], ENT_QUOTES | ENT_HTML401, 'UTF-8') . '">
<div class="content">
<div style="clear: both"></div>
<div class="title">' . $title . '</div>
<div style="clear: both"></div>
<div class="block"><div class="message" style="color: #0066cc">' . $mesg1 . '</div></div>
<div style="clear: both"></div>
<div class="block"><label for="fmail">' . $label . '</label>: <input class="field" type="text" size="40" id="fmail" name="fmail" value="' . (isset($_POST['fmail']) ? htmlspecialchars($_POST['fmail'], ENT_QUOTES | ENT_HTML401, 'UTF-8')  : '') . '"></div>
<div style="clear: both"></div>
<div class="block"><label for="policy"><input class="checkbox" type="checkbox" name="policy" id="policy" value="1"></label><div class="policy">' . $mesg6 . ' - <a class="link" href="#popup1">Policy</a><div id="popup1" class="overlay"><div class="popup"><h2>Policy</h2><a class="close" href="#">&times;</a><div class="contentbox">' . $exten . '</div></div></div></div></div>
<div style="clear: both"></div>
<div class="block"><input class="button" style="cursor: pointer" type="submit" value="' . $buttn . '"></div>
<div style="clear: both"></div>
</div>
</form>
</body>
</html>';
  } elseif (!preg_match('/^[a-zA-Z0-9]+([_\\.-][a-zA-Z0-9]+)*'.'@([a-zA-Z0-9]+([\.-][a-zA-Z0-9]+))+$/', $_POST['fmail'])) {
    echo '<!DOCTYPE html>
<html lang="' . $lang . '">
<head>
  <meta charset="UTF-8">
  <meta name="viewport" content="width=device-width, initial-scale=1">
  <meta name="robots" content="noindex, nofollow">
  <title>[NewsLetter]</title>
  <link rel="stylesheet" type="text/css" media="all" href="a71nl/' . $newskin . '.css">
</head>
<body>
<form method="post" action="' . htmlspecialchars($_SERVER['PHP_SELF'], ENT_QUOTES | ENT_HTML401, 'UTF-8') . '">
<div class="content">
<div style="clear: both"></div>
<div class="title">' . $title . '</div>
<div style="clear: both"></div>
<div class="block"><div class="message" style="color: #cc0033">' . $mesg2 . '</div></div>
<div style="clear: both"></div>
<div class="block"><label for="fmail">' . $label . '</label>: <input class="field" type="text" size="40" id="fmail" name="fmail" value="' . (isset($_POST['fmail']) ? htmlspecialchars($_POST['fmail'], ENT_QUOTES | ENT_HTML401, 'UTF-8')  : '') . '"></div>
<div style="clear: both"></div>
<div class="block"><label for="policy"><input class="checkbox" type="checkbox" name="policy" id="policy" value="1"></label><div class="policy">' . $mesg6 . ' - <a class="link" href="#popup1">Policy</a><div id="popup1" class="overlay"><div class="popup"><h2>Policy</h2><a class="close" href="#">&times;</a><div class="contentbox">' . $exten . '</div></div></div></div></div>
<div style="clear: both"></div>
<div class="block"><input class="button" style="cursor: pointer" type="submit" value="' . $buttn . '"></div>
<div style="clear: both"></div>
</div>
</form>
</body>
</html>';
  } elseif ((!isset($_POST['policy'])) || (1 != htmlspecialchars($_POST['policy'], ENT_QUOTES | ENT_HTML401, 'UTF-8'))) {
    echo '<!DOCTYPE html>
<html lang="' . $lang . '">
<head>
  <meta charset="UTF-8">
  <meta name="viewport" content="width=device-width, initial-scale=1">
  <meta name="robots" content="noindex, nofollow">
  <title>[NewsLetter]</title>
  <link rel="stylesheet" type="text/css" media="all" href="a71nl/' . $newskin . '.css">
</head>
<body>
<form method="post" action="' . htmlspecialchars($_SERVER['PHP_SELF'], ENT_QUOTES | ENT_HTML401, 'UTF-8') . '">
<div class="content">
<div style="clear: both"></div>
<div class="title">' . $title . '</div>
<div style="clear: both"></div>
<div class="block"><div class="message" style="color: #cc0033">' . $mesg5 . '</div></div>
<div style="clear: both"></div>
<div class="block"><label for="fmail">' . $label . '</label>: <input class="field" type="text" size="40" id="fmail" name="fmail" value="' . (isset($_POST['fmail']) ? htmlspecialchars($_POST['fmail'], ENT_QUOTES | ENT_HTML401, 'UTF-8')  : '') . '"></div>
<div style="clear: both"></div>
<div class="block"><label for="policy"><input class="checkbox" type="checkbox" name="policy" id="policy" value="1"></label><div class="policy">' . $mesg6 . ' - <a class="link" href="#popup1">Policy</a><div id="popup1" class="overlay"><div class="popup"><h2>Policy</h2><a class="close" href="#">&times;</a><div class="contentbox">' . $exten . '</div></div></div></div></div>
<div style="clear: both"></div>
<div class="block"><input class="button" style="cursor: pointer" type="submit" value="' . $buttn . '"></div>
<div style="clear: both"></div>
</div>
</form>
</body>
</html>';
  } else {
    $fmail = $_POST['fmail'];
    $subject = $request;
    $message = $request;
    $fsender = str_replace('@', '=', $fmail);
    $myml = $pnameml . '-' . $request . '-' . $fsender . '@'. $pdomain;
    $headers = "From: $fmail" . PHP_EOL . "Reply-To: $fmail" . PHP_EOL . "Return-Path: $fmail" . PHP_EOL . "MIME-Version: 1.0" . PHP_EOL . "Content-type: text/plain; charset=utf-8" . PHP_EOL . "Content-Transfer-Encoding: 8bit" . PHP_EOL . "X-Mailer: A71-NewsLetter 1.5";
    if (!@mail($myml, $subject, $message, $headers)) {
      if (!@mail($myml, $subject, $message, $headers, "-f$fmail")) {
        echo '<!DOCTYPE html>
<html lang="' . $lang . '">
<head>
  <meta charset="UTF-8">
  <meta name="viewport" content="width=device-width, initial-scale=1">
  <meta name="robots" content="noindex, nofollow">
  <title>[NewsLetter]</title>
  <link rel="stylesheet" type="text/css" media="all" href="a71nl/' . $newskin . '.css">
</head>
<body>
<form method="post" action="' . htmlspecialchars($_SERVER['PHP_SELF'], ENT_QUOTES | ENT_HTML401, 'UTF-8') . '">
<div class="content">
<div style="clear: both"></div>
<div class="title">' . $title . '</div>
<div style="clear: both"></div>
<div class="block"><div class="message" style="color: #cc0033">' . $mesg3 . '</div></div>
<div style="clear: both"></div>
<div class="block"><label for="fmail">' . $label . '</label>: <input class="field" type="text" size="40" id="fmail" name="fmail" value="' . (isset($_POST['fmail']) ? htmlspecialchars($_POST['fmail'], ENT_QUOTES | ENT_HTML401, 'UTF-8')  : '') . '"></div>
<div style="clear: both"></div>
<div class="block"><label for="policy"><input class="checkbox" type="checkbox" name="policy" id="policy" value="1"></label><div class="policy">' . $mesg6 . ' - <a class="link" href="#popup1">Policy</a><div id="popup1" class="overlay"><div class="popup"><h2>Policy</h2><a class="close" href="#">&times;</a><div class="contentbox">' . $exten . '</div></div></div></div></div>
<div style="clear: both"></div>
<div class="block"><input class="button" style="cursor: pointer" type="submit" value="' . $buttn . '"></div>
<div style="clear: both"></div>
</div>
</form>
</body>
</html>';
      }
    } else {
      echo '<!DOCTYPE html>
<html lang="' . $lang . '">
<head>
  <meta charset="UTF-8">
  <meta name="viewport" content="width=device-width, initial-scale=1">
  <meta name="robots" content="noindex, nofollow">
  <title>[NewsLetter]</title>
  <link rel="stylesheet" type="text/css" media="all" href="a71nl/' . $newskin . '.css">
</head>
<body>
<form method="post" action="' . htmlspecialchars($_SERVER['PHP_SELF'], ENT_QUOTES | ENT_HTML401, 'UTF-8') . '">
<div class="content">
<div style="clear: both"></div>
<div class="title">' . $title . '</div>
<div style="clear: both"></div>
<div class="block"><div class="message" style="color: #33cc66">' . $mesg4 . '</div></div>
<div style="clear: both"></div>
<div class="block"><label for="fmail">' . $label . '</label>: <input class="field" type="text" size="40" id="fmail" name="fmail" value="' . (isset($_POST['fmail']) ? htmlspecialchars($_POST['fmail'], ENT_QUOTES | ENT_HTML401, 'UTF-8')  : '') . '"></div>
<div style="clear: both"></div>
<div class="block"><label for="policy"><input class="checkbox" type="checkbox" name="policy" id="policy" value="1"></label><div class="policy">' . $mesg6 . ' - <a class="link" href="#popup1">Policy</a><div id="popup1" class="overlay"><div class="popup"><h2>Policy</h2><a class="close" href="#">&times;</a><div class="contentbox">' . $exten . '</div></div></div></div></div>
<div style="clear: both"></div>
<div class="block"><input class="button" style="cursor: pointer" type="submit" value="' . $buttn . '"></div>
<div style="clear: both"></div>
</div>
</form>
</body>
</html>';
    }
  }
  exit();
?>